@import '../core/base';

.error {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    &__message {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        @include mobile-lg {
            padding: 1.5rem;
        }
        @include tablet-sm {
            flex-direction: column;
            text-align: center;
        }
    }
    &__img {
        width: 34rem;
        height: 37rem;
        @include mobile-lg {
            width: 100%;
            height: auto;
        }
        img {
            width: 100%;
            height: 100%;
            max-width: 34rem;
            display: block;
            margin: 0 auto;
        }
        @include desktop-xs {
            margin-right: 8rem;
        }
    }
    &__description {
        color: #212426;
        @include mobile-lg {
            margin-top: 4rem;
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }
        @include desktop-xs {
            padding-top: 9rem;
            width: 34rem;
        }
        @include tablet-sm {
            margin-top: 1rem;
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 41.8rem;
        }
        @include mobile-lg {
            width: 100%;
        }
    }
    &__main_title {
        font-size: 2.4rem;
        line-height: 1.25;
        font-weight: 600;
        text-transform: initial;
        @include desktop-xs {
            margin-bottom: 4rem;
        }
        @include mobile-lg {
            font-size: 2rem;
        }
        b {
            font-size: 3rem;
            color: $color-blue;
            font-weight: 600;
            @include mobile-lg {
                font-size: 2.6rem;
            }
        }
    }
    &__title {
        font-size: 2.4rem;
        line-height: 1.2;
        font-weight: 600;
        margin: 0;
        text-transform: initial;
        @include mobile-lg {
            margin-top: 4rem;
            font-size: 2rem;
        }
        @include tablet-sm {
            margin-top: 4rem;
        }
    }
    &__text {
        font-size: 1.2rem;
        font-weight: 400;
        line-height: 1.8rem;
        margin: 2rem 0 2rem;
        @include mobile-lg {
            width: 80%;
        }
    }
    & .button {
        max-width: 22rem;
        width: 100%;
    }
}
